Prepare 5.4.0-SNAPSHOT builds

Change-Id: I90a4791f63d0eba23da744c720e869f1830b86e7
Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
diff --git a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
index 3750e85..3ef2c4d 100644
--- a/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant.test/META-INF/MANIFEST.MF
@@ -4,13 +4,13 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.ant.test
 Bundle-SymbolicName: org.eclipse.jgit.ant.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: org.apache.tools.ant,
- org.eclipse.jgit.ant.tasks;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.ant.tasks;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.12,5.0.0)"
diff --git a/org.eclipse.jgit.ant.test/pom.xml b/org.eclipse.jgit.ant.test/pom.xml
index 0a20855..cdf88e7 100644
--- a/org.eclipse.jgit.ant.test/pom.xml
+++ b/org.eclipse.jgit.ant.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ant.test</artifactId>
diff --git a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
index 7119fd9..6a9e317 100644
--- a/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ant/META-INF/MANIFEST.MF
@@ -3,11 +3,11 @@
 Bundle-Name: %Bundle-Name
 Automatic-Module-Name: org.eclipse.jgit.ant
 Bundle-SymbolicName: org.eclipse.jgit.ant
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: org.apache.tools.ant,
-  org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)"
+  org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)"
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
-Export-Package: org.eclipse.jgit.ant.tasks;version="5.3.0";
+Export-Package: org.eclipse.jgit.ant.tasks;version="5.4.0";
  uses:="org.apache.tools.ant.types,org.apache.tools.ant"
diff --git a/org.eclipse.jgit.ant/pom.xml b/org.eclipse.jgit.ant/pom.xml
index 4d4875d..7279f06 100644
--- a/org.eclipse.jgit.ant/pom.xml
+++ b/org.eclipse.jgit.ant/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>5.3.0-SNAPSHOT</version>
+		<version>5.4.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.ant</artifactId>
diff --git a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
index cc98ea9..4d04f29 100644
--- a/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.archive
 Bundle-SymbolicName: org.eclipse.jgit.archive
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
@@ -13,15 +13,15 @@
  org.apache.commons.compress.compressors.bzip2;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.gzip;version="[1.4,2.0)",
  org.apache.commons.compress.compressors.xz;version="[1.4,2.0)",
- org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.osgi.framework;version="[1.3.0,2.0.0)"
 Bundle-ActivationPolicy: lazy
 Bundle-Activator: org.eclipse.jgit.archive.FormatActivator
-Export-Package: org.eclipse.jgit.archive;version="5.3.0";
+Export-Package: org.eclipse.jgit.archive;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.api,
    org.apache.commons.compress.archivers,
diff --git a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
index 41d5ef2..87e3931 100644
--- a/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.archive/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.archive - Sources
 Bundle-SymbolicName: org.eclipse.jgit.archive.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 5.3.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.archive;version="5.3.0.qualifier";roots="."
+Bundle-Version: 5.4.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.archive;version="5.4.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.archive/pom.xml b/org.eclipse.jgit.archive/pom.xml
index e1b76ca..5a78892 100644
--- a/org.eclipse.jgit.archive/pom.xml
+++ b/org.eclipse.jgit.archive/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.archive</artifactId>
diff --git a/org.eclipse.jgit.coverage/pom.xml b/org.eclipse.jgit.coverage/pom.xml
index c908cfc..6e199e9 100644
--- a/org.eclipse.jgit.coverage/pom.xml
+++ b/org.eclipse.jgit.coverage/pom.xml
@@ -5,7 +5,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
   <modelVersion>4.0.0</modelVersion>
 
@@ -18,88 +18,88 @@
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.ant</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.archive</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.http.apache</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.http.server</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.lfs</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.lfs.server</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.pgm</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.ui</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.ssh.apache</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
 
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.ant.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.http.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.pgm.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.lfs.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.lfs.server.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
     <dependency>
       <groupId>org.eclipse.jgit</groupId>
       <artifactId>org.eclipse.jgit.ssh.apache.test</artifactId>
-      <version>5.3.0-SNAPSHOT</version>
+      <version>5.4.0-SNAPSHOT</version>
     </dependency>
   </dependencies>
 
diff --git a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
index 57c4493..5a8ae0b 100644
--- a/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.apache/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %Bundle-Name
 Automatic-Module-Name: org.eclipse.jgit.http.apache
 Bundle-SymbolicName: org.eclipse.jgit.http.apache
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Bundle-Localization: plugin
 Bundle-Vendor: %Provider-Name
@@ -23,11 +23,11 @@
  org.apache.http.impl.client;version="[4.3.0,5.0.0)",
  org.apache.http.impl.conn;version="[4.3.0,5.0.0)",
  org.apache.http.params;version="[4.3.0,5.0.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)"
-Export-Package: org.eclipse.jgit.transport.http.apache;version="5.3.0";
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)"
+Export-Package: org.eclipse.jgit.transport.http.apache;version="5.4.0";
   uses:="org.apache.http.client,
    org.eclipse.jgit.transport.http,
    org.apache.http.entity,
diff --git a/org.eclipse.jgit.http.apache/pom.xml b/org.eclipse.jgit.http.apache/pom.xml
index ba9a0b3..972bdfc 100644
--- a/org.eclipse.jgit.http.apache/pom.xml
+++ b/org.eclipse.jgit.http.apache/pom.xml
@@ -48,7 +48,7 @@
 	<parent>
 		<groupId>org.eclipse.jgit</groupId>
 		<artifactId>org.eclipse.jgit-parent</artifactId>
-		<version>5.3.0-SNAPSHOT</version>
+		<version>5.4.0-SNAPSHOT</version>
 	</parent>
 
 	<artifactId>org.eclipse.jgit.http.apache</artifactId>
diff --git a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
index 4cb154c..0c885a6 100644
--- a/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.server/META-INF/MANIFEST.MF
@@ -3,13 +3,13 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.http.server
 Bundle-SymbolicName: org.eclipse.jgit.http.server
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.http.server;version="5.3.0",
- org.eclipse.jgit.http.server.glue;version="5.3.0";
+Export-Package: org.eclipse.jgit.http.server;version="5.4.0",
+ org.eclipse.jgit.http.server.glue;version="5.4.0";
   uses:="javax.servlet,javax.servlet.http",
- org.eclipse.jgit.http.server.resolver;version="5.3.0";
+ org.eclipse.jgit.http.server.resolver;version="5.4.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.transport,
@@ -18,13 +18,13 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: javax.servlet;version="[2.5.0,3.2.0)",
  javax.servlet.http;version="[2.5.0,3.2.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.transport.parser;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.resolver;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)"
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.transport.parser;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.resolver;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)"
diff --git a/org.eclipse.jgit.http.server/pom.xml b/org.eclipse.jgit.http.server/pom.xml
index 87421f5..e289b38 100644
--- a/org.eclipse.jgit.http.server/pom.xml
+++ b/org.eclipse.jgit.http.server/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.server</artifactId>
diff --git a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
index 15e9ac4..cd161be 100644
--- a/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.http.test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.http.test
 Bundle-SymbolicName: org.eclipse.jgit.http.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
@@ -28,25 +28,25 @@
  org.eclipse.jetty.util.log;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.4.5,10.0.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.http.server;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.http.server.glue;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.http.server.resolver;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.reftable;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http.apache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.resolver;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.http.server;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.http.server.glue;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.http.server.resolver;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.reftable;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http.apache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.resolver;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.hamcrest;version="[1.1.0,2.0.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.12,5.0.0)",
diff --git a/org.eclipse.jgit.http.test/pom.xml b/org.eclipse.jgit.http.test/pom.xml
index 9eb8e7c..2426cb5 100644
--- a/org.eclipse.jgit.http.test/pom.xml
+++ b/org.eclipse.jgit.http.test/pom.xml
@@ -51,7 +51,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.http.test</artifactId>
diff --git a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
index 7c05cd8..c9b29ed 100644
--- a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.junit.http
 Bundle-SymbolicName: org.eclipse.jgit.junit.http
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
@@ -22,16 +22,16 @@
  org.eclipse.jetty.util.log;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.ssl;version="[9.4.5,10.0.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.http.server;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.resolver;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.http.server;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.resolver;version="[5.4.0,5.5.0)",
  org.junit;version="[4.12,5.0.0)"
-Export-Package: org.eclipse.jgit.junit.http;version="5.3.0";
+Export-Package: org.eclipse.jgit.junit.http;version="5.4.0";
   uses:="org.eclipse.jgit.transport,
    org.eclipse.jgit.junit,
    javax.servlet.http,
diff --git a/org.eclipse.jgit.junit.http/pom.xml b/org.eclipse.jgit.junit.http/pom.xml
index 3db9ace..afdb062 100644
--- a/org.eclipse.jgit.junit.http/pom.xml
+++ b/org.eclipse.jgit.junit.http/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit.http</artifactId>
diff --git a/org.eclipse.jgit.junit.ssh/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.ssh/META-INF/MANIFEST.MF
index 48ea59b..91dd1aa 100644
--- a/org.eclipse.jgit.junit.ssh/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.ssh/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.junit.ssh
 Bundle-SymbolicName: org.eclipse.jgit.junit.ssh
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
@@ -29,8 +29,8 @@
  org.apache.sshd.server.shell;version="[2.0.0,2.1.0)",
  org.apache.sshd.server.subsystem;version="[2.0.0,2.1.0)",
  org.apache.sshd.server.subsystem.sftp;version="[2.0.0,2.1.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
  org.slf4j;version="[1.7.0,2.0.0)"
-Export-Package: org.eclipse.jgit.junit.ssh;version="5.3.0"
+Export-Package: org.eclipse.jgit.junit.ssh;version="5.4.0"
diff --git a/org.eclipse.jgit.junit.ssh/pom.xml b/org.eclipse.jgit.junit.ssh/pom.xml
index 8db9760..3ee0aaa 100644
--- a/org.eclipse.jgit.junit.ssh/pom.xml
+++ b/org.eclipse.jgit.junit.ssh/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit.ssh</artifactId>
diff --git a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
index f76cee8..308feb7 100644
--- a/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit/META-INF/MANIFEST.MF
@@ -3,34 +3,34 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.junit
 Bundle-SymbolicName: org.eclipse.jgit.junit
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.dircache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.merge;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="5.3.0",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.io;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.time;version="[5.3.0,5.4.0)",
+Import-Package: org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.dircache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.merge;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="5.4.0",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.io;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.time;version="[5.4.0,5.5.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.rules;version="[4.12,5.0.0)",
  org.junit.runner;version="[4.12,5.0.0)",
  org.junit.runners.model;version="[4.12,5.0.0)",
  org.slf4j;version="[1.7.0,2.0.0)"
-Export-Package: org.eclipse.jgit.junit;version="5.3.0";
+Export-Package: org.eclipse.jgit.junit;version="5.4.0";
   uses:="org.eclipse.jgit.dircache,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
@@ -43,4 +43,4 @@
    org.junit.runners.model,
    org.junit.runner,
    org.eclipse.jgit.util.time",
- org.eclipse.jgit.junit.time;version="5.3.0";uses:="org.eclipse.jgit.util.time"
+ org.eclipse.jgit.junit.time;version="5.4.0";uses:="org.eclipse.jgit.util.time"
diff --git a/org.eclipse.jgit.junit/pom.xml b/org.eclipse.jgit.junit/pom.xml
index 71885d8..5499ad5 100644
--- a/org.eclipse.jgit.junit/pom.xml
+++ b/org.eclipse.jgit.junit/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.junit</artifactId>
diff --git a/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
index 3311865..bf3c1c7 100644
--- a/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.server.test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.lfs.server.test
 Bundle-SymbolicName: org.eclipse.jgit.lfs.server.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
@@ -28,24 +28,24 @@
  org.eclipse.jetty.util.log;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.4.5,10.0.0)",
- org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.server;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.server.fs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.test;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.server;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.server.fs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.test;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.rules;version="[4.12,5.0.0)",
diff --git a/org.eclipse.jgit.lfs.server.test/pom.xml b/org.eclipse.jgit.lfs.server.test/pom.xml
index f8a4695..41ce510 100644
--- a/org.eclipse.jgit.lfs.server.test/pom.xml
+++ b/org.eclipse.jgit.lfs.server.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.server.test</artifactId>
diff --git a/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
index bc2d237..9fca010 100644
--- a/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.server/META-INF/MANIFEST.MF
@@ -3,19 +3,19 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.lfs.server
 Bundle-SymbolicName: org.eclipse.jgit.lfs.server
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.lfs.server;version="5.3.0";
+Export-Package: org.eclipse.jgit.lfs.server;version="5.4.0";
   uses:="javax.servlet.http,
    org.eclipse.jgit.lfs.lib",
- org.eclipse.jgit.lfs.server.fs;version="5.3.0";
+ org.eclipse.jgit.lfs.server.fs;version="5.4.0";
   uses:="javax.servlet,
    javax.servlet.http,
    org.eclipse.jgit.lfs.server,
    org.eclipse.jgit.lfs.lib",
- org.eclipse.jgit.lfs.server.internal;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.lfs.server.s3;version="5.3.0";
+ org.eclipse.jgit.lfs.server.internal;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.lfs.server.s3;version="5.4.0";
   uses:="org.eclipse.jgit.lfs.server,
    org.eclipse.jgit.lfs.lib"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
@@ -25,15 +25,15 @@
  javax.servlet.http;version="[3.1.0,4.0.0)",
  org.apache.http;version="[4.3.0,5.0.0)",
  org.apache.http.client;version="[4.3.0,5.0.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http.apache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http.apache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.slf4j;version="[1.7.0,2.0.0)"
diff --git a/org.eclipse.jgit.lfs.server/pom.xml b/org.eclipse.jgit.lfs.server/pom.xml
index eab96d3..e93f47f 100644
--- a/org.eclipse.jgit.lfs.server/pom.xml
+++ b/org.eclipse.jgit.lfs.server/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.server</artifactId>
diff --git a/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
index 5cf259e..0d261f9 100644
--- a/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs.test/META-INF/MANIFEST.MF
@@ -3,23 +3,23 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.lfs.test
 Bundle-SymbolicName: org.eclipse.jgit.lfs.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.jgit.internal.storage.dfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+Import-Package: org.eclipse.jgit.internal.storage.dfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.hamcrest.core;version="[1.1.0,2.0.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.runner;version="[4.12,5.0.0)",
  org.junit.runners;version="[4.12,5.0.0)"
-Export-Package: org.eclipse.jgit.lfs.test;version="5.3.0";x-friends:="org.eclipse.jgit.lfs.server.test"
+Export-Package: org.eclipse.jgit.lfs.test;version="5.4.0";x-friends:="org.eclipse.jgit.lfs.server.test"
 
diff --git a/org.eclipse.jgit.lfs.test/pom.xml b/org.eclipse.jgit.lfs.test/pom.xml
index 3c8508f..30b73f8 100644
--- a/org.eclipse.jgit.lfs.test/pom.xml
+++ b/org.eclipse.jgit.lfs.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs.test</artifactId>
diff --git a/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF b/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
index 3051140..27792c6 100644
--- a/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.lfs/META-INF/MANIFEST.MF
@@ -3,33 +3,33 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.lfs
 Bundle-SymbolicName: org.eclipse.jgit.lfs
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
-Export-Package: org.eclipse.jgit.lfs;version="5.3.0",
- org.eclipse.jgit.lfs.errors;version="5.3.0",
- org.eclipse.jgit.lfs.internal;version="5.3.0";x-friends:="org.eclipse.jgit.lfs.test,org.eclipse.jgit.lfs.server.fs,org.eclipse.jgit.lfs.server",
- org.eclipse.jgit.lfs.lib;version="5.3.0"
+Export-Package: org.eclipse.jgit.lfs;version="5.4.0",
+ org.eclipse.jgit.lfs.errors;version="5.4.0",
+ org.eclipse.jgit.lfs.internal;version="5.4.0";x-friends:="org.eclipse.jgit.lfs.test,org.eclipse.jgit.lfs.server.fs,org.eclipse.jgit.lfs.server",
+ org.eclipse.jgit.lfs.lib;version="5.4.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: com.google.gson;version="[2.8.2,3.0.0)",
  com.google.gson.stream;version="[2.8.2,3.0.0)",
  org.apache.http.impl.client;version="[4.2.6,5.0.0)",
  org.apache.http.impl.conn;version="[4.2.6,5.0.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)";resolution:=optional,
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.attributes;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.diff;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.hooks;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.io;version="[5.3.0,5.4.0)"
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)";resolution:=optional,
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.attributes;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.diff;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.hooks;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.io;version="[5.4.0,5.5.0)"
diff --git a/org.eclipse.jgit.lfs/pom.xml b/org.eclipse.jgit.lfs/pom.xml
index 823521a..d27d664 100644
--- a/org.eclipse.jgit.lfs/pom.xml
+++ b/org.eclipse.jgit.lfs/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.lfs</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
index 2874d70..1c65b27 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
index 83316ea..43b5c87 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
index 8b4a11b..6bae2cb 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.http.apache"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
index 2d918bc..40a99e1 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.http.apache.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
index c07fe1d..0079970 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.junit"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
index 4ea0a01..52b7ce1 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.junit.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
index 101f331..9af34c7 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.lfs"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
index ca25643..29f010b 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.lfs.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
index 7c76b8e..c6418c1 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
@@ -31,9 +31,9 @@
          version="0.0.0"/>
 
    <requires>
-      <import feature="org.eclipse.jgit" version="5.3.0" match="equivalent"/>
-      <import feature="org.eclipse.jgit.lfs" version="5.3.0" match="equivalent"/>
-      <import feature="org.eclipse.jgit.ssh.apache" version="5.3.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit" version="5.4.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit.lfs" version="5.4.0" match="equivalent"/>
+      <import feature="org.eclipse.jgit.ssh.apache" version="5.4.0" match="equivalent"/>
    </requires>
 
    <plugin
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
index 1ade5a8..fc1c951 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
index 7817086..324b751 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.pgm.source"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
index 6827ca1..31ea4c4 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.pgm.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
index ae0c25d..10a5ee0 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.repository/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.repository</artifactId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
index fc73b67..3f0cb1d 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.source"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
index 482c2d8..802c9e4 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/feature.xml
index 60a43da..356e5f0 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.ssh.apache"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/pom.xml
index 5fcbea3..fcc2eb6 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/feature.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/feature.xml
index 2bafe1c..4e8dc12 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/feature.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.eclipse.jgit.ssh.apache.source"
       label="%featureName"
-      version="5.3.0.qualifier"
+      version="5.4.0.qualifier"
       provider-name="%providerName">
 
    <description url="http://www.eclipse.org/jgit/">
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/pom.xml
index 9aae419..2e826c0 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.ssh.apache.source.feature/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <groupId>org.eclipse.jgit.feature</groupId>
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
index 7a0a70b..a95c4c4 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/META-INF/MANIFEST.MF
@@ -2,4 +2,4 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: JGit Target Platform Bundle
 Bundle-SymbolicName: org.eclipse.jgit.target
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
diff --git a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
index a6a3371..16ff484 100644
--- a/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
+++ b/org.eclipse.jgit.packaging/org.eclipse.jgit.target/pom.xml
@@ -49,7 +49,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>jgit.tycho.parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.target</artifactId>
diff --git a/org.eclipse.jgit.packaging/pom.xml b/org.eclipse.jgit.packaging/pom.xml
index 9eb04e5..ac085d1 100644
--- a/org.eclipse.jgit.packaging/pom.xml
+++ b/org.eclipse.jgit.packaging/pom.xml
@@ -53,7 +53,7 @@
 
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>jgit.tycho.parent</artifactId>
-  <version>5.3.0-SNAPSHOT</version>
+  <version>5.4.0-SNAPSHOT</version>
   <packaging>pom</packaging>
 
   <name>JGit Tycho Parent</name>
diff --git a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
index 3819bb9..c6003a0 100644
--- a/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm.test/META-INF/MANIFEST.MF
@@ -3,28 +3,28 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.pgm.test
 Bundle-SymbolicName: org.eclipse.jgit.pgm.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-Localization: plugin
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.diff;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.dircache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="5.3.0",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.merge;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.pgm;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.pgm.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.pgm.opt;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.io;version="[5.3.0,5.4.0)",
+Import-Package: org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.diff;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.dircache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="5.4.0",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.merge;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.pgm;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.pgm.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.pgm.opt;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.io;version="[5.4.0,5.5.0)",
  org.hamcrest.core;bundle-version="[1.1.0,2.0.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.rules;version="[4.12,5.0.0)",
diff --git a/org.eclipse.jgit.pgm.test/pom.xml b/org.eclipse.jgit.pgm.test/pom.xml
index ea18b01..326c28e 100644
--- a/org.eclipse.jgit.pgm.test/pom.xml
+++ b/org.eclipse.jgit.pgm.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm.test</artifactId>
diff --git a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
index c28bce1..9c98ac4 100644
--- a/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.pgm
 Bundle-SymbolicName: org.eclipse.jgit.pgm
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
 Bundle-Localization: plugin
@@ -28,50 +28,50 @@
  org.eclipse.jetty.util.log;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.security;version="[9.4.5,10.0.0)",
  org.eclipse.jetty.util.thread;version="[9.4.5,10.0.0)",
- org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.archive;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.awtui;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.blame;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.diff;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.dircache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.gitrepo;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.ketch;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.io;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.reftable;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.reftree;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.server;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.server.fs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs.server.s3;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.merge;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.notes;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revplot;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http.apache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.resolver;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.sshd;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.io;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.archive;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.awtui;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.blame;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.diff;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.dircache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.gitrepo;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.ketch;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.io;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.reftable;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.reftree;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.server;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.server.fs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs.server.s3;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.merge;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.notes;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revplot;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http.apache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.resolver;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.sshd;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.io;version="[5.4.0,5.5.0)",
  org.kohsuke.args4j;version="[2.33.0,3.0.0)",
  org.kohsuke.args4j.spi;version="[2.33.0,3.0.0)"
-Export-Package: org.eclipse.jgit.console;version="5.3.0";
+Export-Package: org.eclipse.jgit.console;version="5.4.0";
   uses:="org.eclipse.jgit.transport,
    org.eclipse.jgit.util",
- org.eclipse.jgit.pgm;version="5.3.0";
+ org.eclipse.jgit.pgm;version="5.4.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.pgm.opt,
@@ -82,11 +82,11 @@
    org.eclipse.jgit.treewalk,
    javax.swing,
    org.eclipse.jgit.transport",
- org.eclipse.jgit.pgm.debug;version="5.3.0";
+ org.eclipse.jgit.pgm.debug;version="5.4.0";
   uses:="org.eclipse.jgit.util.io,
    org.eclipse.jgit.pgm",
- org.eclipse.jgit.pgm.internal;version="5.3.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
- org.eclipse.jgit.pgm.opt;version="5.3.0";
+ org.eclipse.jgit.pgm.internal;version="5.4.0";x-friends:="org.eclipse.jgit.pgm.test,org.eclipse.jgit.test",
+ org.eclipse.jgit.pgm.opt;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.kohsuke.args4j.spi,
diff --git a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
index e188427..4cbd46e 100644
--- a/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.pgm/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.pgm - Sources
 Bundle-SymbolicName: org.eclipse.jgit.pgm.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 5.3.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="5.3.0.qualifier";roots="."
+Bundle-Version: 5.4.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.pgm;version="5.4.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.pgm/pom.xml b/org.eclipse.jgit.pgm/pom.xml
index 6faaa00..cf878f4 100644
--- a/org.eclipse.jgit.pgm/pom.xml
+++ b/org.eclipse.jgit.pgm/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.pgm</artifactId>
diff --git a/org.eclipse.jgit.ssh.apache.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.ssh.apache.test/META-INF/MANIFEST.MF
index bc74d24..c1a300e 100644
--- a/org.eclipse.jgit.ssh.apache.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ssh.apache.test/META-INF/MANIFEST.MF
@@ -3,17 +3,17 @@
 Bundle-Name: %Bundle-Name
 Automatic-Module-Name: org.eclipse.jgit.ssh.apache.test
 Bundle-SymbolicName: org.eclipse.jgit.ssh.apache.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %Provider-Name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Import-Package: org.eclipse.jgit.internal.transport.sshd.proxy;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit.ssh;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.ssh;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.sshd;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+Import-Package: org.eclipse.jgit.internal.transport.sshd.proxy;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit.ssh;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.ssh;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.sshd;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.experimental.theories;version="[4.12,5.0.0)",
  org.junit.runner;version="[4.12,5.0.0)"
diff --git a/org.eclipse.jgit.ssh.apache.test/pom.xml b/org.eclipse.jgit.ssh.apache.test/pom.xml
index 9ca7937..1fabd6e 100644
--- a/org.eclipse.jgit.ssh.apache.test/pom.xml
+++ b/org.eclipse.jgit.ssh.apache.test/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ssh.apache.test</artifactId>
diff --git a/org.eclipse.jgit.ssh.apache/META-INF/MANIFEST.MF b/org.eclipse.jgit.ssh.apache/META-INF/MANIFEST.MF
index f4e824a..96dbd8a 100644
--- a/org.eclipse.jgit.ssh.apache/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ssh.apache/META-INF/MANIFEST.MF
@@ -5,9 +5,9 @@
 Bundle-SymbolicName: org.eclipse.jgit.ssh.apache
 Bundle-Vendor: %Provider-Name
 Bundle-ActivationPolicy: lazy
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.jgit.internal.transport.sshd;version="5.3.0";x-internal:=true;
+Export-Package: org.eclipse.jgit.internal.transport.sshd;version="5.4.0";x-internal:=true;
   uses:="org.apache.sshd.client,
    org.apache.sshd.client.auth,
    org.apache.sshd.client.auth.keyboard,
@@ -22,9 +22,9 @@
    org.apache.sshd.common.signature,
    org.apache.sshd.common.util.buffer,
    org.eclipse.jgit.transport",
- org.eclipse.jgit.internal.transport.sshd.auth;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.internal.transport.sshd.proxy;version="5.3.0";x-friends:="org.eclipse.jgit.ssh.apache.test",
- org.eclipse.jgit.transport.sshd;version="5.3.0";
+ org.eclipse.jgit.internal.transport.sshd.auth;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.internal.transport.sshd.proxy;version="5.4.0";x-friends:="org.eclipse.jgit.ssh.apache.test",
+ org.eclipse.jgit.transport.sshd;version="5.4.0";
   uses:="org.eclipse.jgit.transport,
    org.apache.sshd.client.config.hosts,
    org.apache.sshd.common.keyprovider,
@@ -72,12 +72,12 @@
  org.apache.sshd.common.util.net;version="[2.0.0,2.1.0)",
  org.apache.sshd.common.util.security;version="[2.0.0,2.1.0)",
  org.apache.sshd.server.auth;version="[2.0.0,2.1.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.fnmatch;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.transport.ssh;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.fnmatch;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.transport.ssh;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
  org.slf4j;version="[1.7.0,2.0.0)"
diff --git a/org.eclipse.jgit.ssh.apache/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit.ssh.apache/META-INF/SOURCE-MANIFEST.MF
index dc8cc85..cfd81da4 100644
--- a/org.eclipse.jgit.ssh.apache/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit.ssh.apache/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit.ssh.apache - Sources
 Bundle-SymbolicName: org.eclipse.jgit.ssh.apache.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 5.3.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit.ssh.apache;version="5.3.0.qualifier";roots="."
+Bundle-Version: 5.4.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit.ssh.apache;version="5.4.0.qualifier";roots="."
diff --git a/org.eclipse.jgit.ssh.apache/pom.xml b/org.eclipse.jgit.ssh.apache/pom.xml
index 0a1f460..242957a 100644
--- a/org.eclipse.jgit.ssh.apache/pom.xml
+++ b/org.eclipse.jgit.ssh.apache/pom.xml
@@ -50,7 +50,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ssh.apache</artifactId>
diff --git a/org.eclipse.jgit.test/META-INF/MANIFEST.MF b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
index 45592e4..73c8de8 100644
--- a/org.eclipse.jgit.test/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.test/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.test
 Bundle-SymbolicName: org.eclipse.jgit.test
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
@@ -12,54 +12,54 @@
  com.jcraft.jsch;version="[0.1.54,0.2.0)",
  net.bytebuddy.dynamic.loading;version="[1.7.0,2.0.0)",
  org.bouncycastle.util.encoders;version="[1.60.0,2.0.0)",
- org.eclipse.jgit.annotations;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.api.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.attributes;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.awtui;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.blame;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.diff;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.dircache;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.events;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.fnmatch;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.gitrepo;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.hooks;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.ignore;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.ignore.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.fsck;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.dfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.io;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.reftable;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.storage.reftree;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.internal.transport.parser;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.junit.ssh;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lfs;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.merge;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.notes;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.patch;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.pgm;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.pgm.internal;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revplot;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.file;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.storage.pack;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.submodule;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.http;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport.resolver;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.treewalk.filter;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.io;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util.sha1;version="[5.3.0,5.4.0)",
+ org.eclipse.jgit.annotations;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.api.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.attributes;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.awtui;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.blame;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.diff;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.dircache;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.events;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.fnmatch;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.gitrepo;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.hooks;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.ignore;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.ignore.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.fsck;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.dfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.io;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.reftable;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.storage.reftree;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.internal.transport.parser;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.junit.ssh;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lfs;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.merge;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.notes;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.patch;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.pgm;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.pgm.internal;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revplot;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.file;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.storage.pack;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.submodule;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.http;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport.resolver;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.treewalk.filter;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.io;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util.sha1;version="[5.4.0,5.5.0)",
  org.junit;version="[4.12,5.0.0)",
  org.junit.experimental.theories;version="[4.12,5.0.0)",
  org.junit.rules;version="[4.12,5.0.0)",
@@ -73,4 +73,4 @@
  org.slf4j;version="[1.7.0,2.0.0)"
 Require-Bundle: org.hamcrest.core;bundle-version="[1.1.0,2.0.0)",
  org.hamcrest.library;bundle-version="[1.1.0,2.0.0)"
-Export-Package: org.eclipse.jgit.transport.ssh;version="5.3.0";x-friends:="org.eclipse.jgit.ssh.apache.test"
+Export-Package: org.eclipse.jgit.transport.ssh;version="5.4.0";x-friends:="org.eclipse.jgit.ssh.apache.test"
diff --git a/org.eclipse.jgit.test/pom.xml b/org.eclipse.jgit.test/pom.xml
index 718fa39..c0b8513 100644
--- a/org.eclipse.jgit.test/pom.xml
+++ b/org.eclipse.jgit.test/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.test</artifactId>
diff --git a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
index 3ac2d9d..7027838 100644
--- a/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.ui/META-INF/MANIFEST.MF
@@ -4,14 +4,14 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit.ui
 Bundle-SymbolicName: org.eclipse.jgit.ui
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Vendor: %provider_name
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
-Export-Package: org.eclipse.jgit.awtui;version="5.3.0"
-Import-Package: org.eclipse.jgit.errors;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.lib;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.nls;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revplot;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.revwalk;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.transport;version="[5.3.0,5.4.0)",
- org.eclipse.jgit.util;version="[5.3.0,5.4.0)"
+Export-Package: org.eclipse.jgit.awtui;version="5.4.0"
+Import-Package: org.eclipse.jgit.errors;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.lib;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.nls;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revplot;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.revwalk;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.transport;version="[5.4.0,5.5.0)",
+ org.eclipse.jgit.util;version="[5.4.0,5.5.0)"
diff --git a/org.eclipse.jgit.ui/pom.xml b/org.eclipse.jgit.ui/pom.xml
index 0d5330d..bb16e8f 100644
--- a/org.eclipse.jgit.ui/pom.xml
+++ b/org.eclipse.jgit.ui/pom.xml
@@ -52,7 +52,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit.ui</artifactId>
diff --git a/org.eclipse.jgit/META-INF/MANIFEST.MF b/org.eclipse.jgit/META-INF/MANIFEST.MF
index d71910f..95594f2 100644
--- a/org.eclipse.jgit/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/MANIFEST.MF
@@ -3,12 +3,12 @@
 Bundle-Name: %plugin_name
 Automatic-Module-Name: org.eclipse.jgit
 Bundle-SymbolicName: org.eclipse.jgit
-Bundle-Version: 5.3.0.qualifier
+Bundle-Version: 5.4.0.qualifier
 Bundle-Localization: plugin
 Bundle-Vendor: %provider_name
 Bundle-ActivationPolicy: lazy
-Export-Package: org.eclipse.jgit.annotations;version="5.3.0",
- org.eclipse.jgit.api;version="5.3.0";
+Export-Package: org.eclipse.jgit.annotations;version="5.4.0",
+ org.eclipse.jgit.api;version="5.4.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
@@ -22,53 +22,53 @@
    org.eclipse.jgit.submodule,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.api.errors;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.errors",
- org.eclipse.jgit.attributes;version="5.3.0",
- org.eclipse.jgit.blame;version="5.3.0";
+ org.eclipse.jgit.api.errors;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.errors",
+ org.eclipse.jgit.attributes;version="5.4.0",
+ org.eclipse.jgit.blame;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff",
- org.eclipse.jgit.diff;version="5.3.0";
+ org.eclipse.jgit.diff;version="5.4.0";
   uses:="org.eclipse.jgit.patch,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util",
- org.eclipse.jgit.dircache;version="5.3.0";
+ org.eclipse.jgit.dircache;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.util,
    org.eclipse.jgit.events,
    org.eclipse.jgit.attributes",
- org.eclipse.jgit.errors;version="5.3.0";
+ org.eclipse.jgit.errors;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.internal.storage.pack,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.events;version="5.3.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.fnmatch;version="5.3.0",
- org.eclipse.jgit.gitrepo;version="5.3.0";
+ org.eclipse.jgit.events;version="5.4.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.fnmatch;version="5.4.0",
+ org.eclipse.jgit.gitrepo;version="5.4.0";
   uses:="org.eclipse.jgit.api,
    org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.xml.sax.helpers,
    org.xml.sax",
- org.eclipse.jgit.gitrepo.internal;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.hooks;version="5.3.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.ignore;version="5.3.0",
- org.eclipse.jgit.ignore.internal;version="5.3.0";x-friends:="org.eclipse.jgit.test",
- org.eclipse.jgit.internal;version="5.3.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
- org.eclipse.jgit.internal.fsck;version="5.3.0";x-friends:="org.eclipse.jgit.test",
- org.eclipse.jgit.internal.ketch;version="5.3.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.revwalk;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.internal.storage.dfs;version="5.3.0";
+ org.eclipse.jgit.gitrepo.internal;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.hooks;version="5.4.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.ignore;version="5.4.0",
+ org.eclipse.jgit.ignore.internal;version="5.4.0";x-friends:="org.eclipse.jgit.test",
+ org.eclipse.jgit.internal;version="5.4.0";x-friends:="org.eclipse.jgit.test,org.eclipse.jgit.http.test",
+ org.eclipse.jgit.internal.fsck;version="5.4.0";x-friends:="org.eclipse.jgit.test",
+ org.eclipse.jgit.internal.ketch;version="5.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.revwalk;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.internal.storage.dfs;version="5.4.0";
   x-friends:="org.eclipse.jgit.test,
    org.eclipse.jgit.http.server,
    org.eclipse.jgit.http.test,
    org.eclipse.jgit.lfs.test",
- org.eclipse.jgit.internal.storage.file;version="5.3.0";
+ org.eclipse.jgit.internal.storage.file;version="5.4.0";
   x-friends:="org.eclipse.jgit.test,
    org.eclipse.jgit.junit,
    org.eclipse.jgit.junit.http,
@@ -77,18 +77,18 @@
    org.eclipse.jgit.pgm,
    org.eclipse.jgit.pgm.test,
    org.eclipse.jgit.ssh.apache",
- org.eclipse.jgit.internal.storage.io;version="5.3.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.pack;version="5.3.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.reftable;version="5.3.0";
+ org.eclipse.jgit.internal.storage.io;version="5.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.storage.pack;version="5.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.storage.reftable;version="5.4.0";
   x-friends:="org.eclipse.jgit.http.test,
    org.eclipse.jgit.junit,
    org.eclipse.jgit.test,
    org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.storage.reftree;version="5.3.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
- org.eclipse.jgit.internal.submodule;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.internal.transport.parser;version="5.3.0";x-friends:="org.eclipse.jgit.http.server,org.eclipse.jgit.test",
- org.eclipse.jgit.internal.transport.ssh;version="5.3.0";x-friends:="org.eclipse.jgit.ssh.apache",
- org.eclipse.jgit.lib;version="5.3.0";
+ org.eclipse.jgit.internal.storage.reftree;version="5.4.0";x-friends:="org.eclipse.jgit.junit,org.eclipse.jgit.test,org.eclipse.jgit.pgm",
+ org.eclipse.jgit.internal.submodule;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.internal.transport.parser;version="5.4.0";x-friends:="org.eclipse.jgit.http.server,org.eclipse.jgit.test",
+ org.eclipse.jgit.internal.transport.ssh;version="5.4.0";x-friends:="org.eclipse.jgit.ssh.apache",
+ org.eclipse.jgit.lib;version="5.4.0";
   uses:="org.eclipse.jgit.revwalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
@@ -98,33 +98,33 @@
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.transport,
    org.eclipse.jgit.submodule",
- org.eclipse.jgit.lib.internal;version="5.3.0";x-internal:=true,
- org.eclipse.jgit.merge;version="5.3.0";
+ org.eclipse.jgit.lib.internal;version="5.4.0";x-internal:=true,
+ org.eclipse.jgit.merge;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.dircache,
    org.eclipse.jgit.api",
- org.eclipse.jgit.nls;version="5.3.0",
- org.eclipse.jgit.notes;version="5.3.0";
+ org.eclipse.jgit.nls;version="5.4.0",
+ org.eclipse.jgit.notes;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.merge",
- org.eclipse.jgit.patch;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.diff",
- org.eclipse.jgit.revplot;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.revwalk",
- org.eclipse.jgit.revwalk;version="5.3.0";
+ org.eclipse.jgit.patch;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.diff",
+ org.eclipse.jgit.revplot;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.revwalk",
+ org.eclipse.jgit.revwalk;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.treewalk,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.diff,
    org.eclipse.jgit.revwalk.filter",
- org.eclipse.jgit.revwalk.filter;version="5.3.0";uses:="org.eclipse.jgit.revwalk,org.eclipse.jgit.lib,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.file;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.util",
- org.eclipse.jgit.storage.pack;version="5.3.0";uses:="org.eclipse.jgit.lib",
- org.eclipse.jgit.submodule;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.treewalk.filter,org.eclipse.jgit.treewalk",
- org.eclipse.jgit.transport;version="5.3.0";
+ org.eclipse.jgit.revwalk.filter;version="5.4.0";uses:="org.eclipse.jgit.revwalk,org.eclipse.jgit.lib,org.eclipse.jgit.util",
+ org.eclipse.jgit.storage.file;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.util",
+ org.eclipse.jgit.storage.pack;version="5.4.0";uses:="org.eclipse.jgit.lib",
+ org.eclipse.jgit.submodule;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.treewalk.filter,org.eclipse.jgit.treewalk",
+ org.eclipse.jgit.transport;version="5.4.0";
   uses:="org.eclipse.jgit.transport.resolver,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.internal.storage.pack,
@@ -137,24 +137,24 @@
    org.eclipse.jgit.transport.http,
    org.eclipse.jgit.errors,
    org.eclipse.jgit.storage.pack",
- org.eclipse.jgit.transport.http;version="5.3.0";uses:="javax.net.ssl",
- org.eclipse.jgit.transport.resolver;version="5.3.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport",
- org.eclipse.jgit.treewalk;version="5.3.0";
+ org.eclipse.jgit.transport.http;version="5.4.0";uses:="javax.net.ssl",
+ org.eclipse.jgit.transport.resolver;version="5.4.0";uses:="org.eclipse.jgit.lib,org.eclipse.jgit.transport",
+ org.eclipse.jgit.treewalk;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.revwalk,
    org.eclipse.jgit.attributes,
    org.eclipse.jgit.treewalk.filter,
    org.eclipse.jgit.util,
    org.eclipse.jgit.dircache",
- org.eclipse.jgit.treewalk.filter;version="5.3.0";uses:="org.eclipse.jgit.treewalk",
- org.eclipse.jgit.util;version="5.3.0";
+ org.eclipse.jgit.treewalk.filter;version="5.4.0";uses:="org.eclipse.jgit.treewalk",
+ org.eclipse.jgit.util;version="5.4.0";
   uses:="org.eclipse.jgit.lib,
    org.eclipse.jgit.transport.http,
    org.eclipse.jgit.storage.file,
    org.ietf.jgss",
- org.eclipse.jgit.util.io;version="5.3.0",
- org.eclipse.jgit.util.sha1;version="5.3.0",
- org.eclipse.jgit.util.time;version="5.3.0"
+ org.eclipse.jgit.util.io;version="5.4.0",
+ org.eclipse.jgit.util.sha1;version="5.4.0",
+ org.eclipse.jgit.util.time;version="5.4.0"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Import-Package: com.googlecode.javaewah;version="[1.1.6,2.0.0)",
  com.jcraft.jsch;version="[0.1.37,0.2.0)",
diff --git a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
index f497ced..ad348ee 100644
--- a/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
+++ b/org.eclipse.jgit/META-INF/SOURCE-MANIFEST.MF
@@ -3,5 +3,5 @@
 Bundle-Name: org.eclipse.jgit - Sources
 Bundle-SymbolicName: org.eclipse.jgit.source
 Bundle-Vendor: Eclipse.org - JGit
-Bundle-Version: 5.3.0.qualifier
-Eclipse-SourceBundle: org.eclipse.jgit;version="5.3.0.qualifier";roots="."
+Bundle-Version: 5.4.0.qualifier
+Eclipse-SourceBundle: org.eclipse.jgit;version="5.4.0.qualifier";roots="."
diff --git a/org.eclipse.jgit/pom.xml b/org.eclipse.jgit/pom.xml
index ff81923..0b1fe0a 100644
--- a/org.eclipse.jgit/pom.xml
+++ b/org.eclipse.jgit/pom.xml
@@ -53,7 +53,7 @@
   <parent>
     <groupId>org.eclipse.jgit</groupId>
     <artifactId>org.eclipse.jgit-parent</artifactId>
-    <version>5.3.0-SNAPSHOT</version>
+    <version>5.4.0-SNAPSHOT</version>
   </parent>
 
   <artifactId>org.eclipse.jgit</artifactId>
diff --git a/pom.xml b/pom.xml
index 5967214..88bbc86 100644
--- a/pom.xml
+++ b/pom.xml
@@ -51,7 +51,7 @@
   <groupId>org.eclipse.jgit</groupId>
   <artifactId>org.eclipse.jgit-parent</artifactId>
   <packaging>pom</packaging>
-  <version>5.3.0-SNAPSHOT</version>
+  <version>5.4.0-SNAPSHOT</version>
 
   <name>JGit - Parent</name>
   <url>${jgit-url}</url>